Upload a custom presentation background
POST
/api/v1/backgrounds/upload
Authentication
Bearer Token API Key (cookie: better-auth.session_token)
Request Body
multipart/form-datafile
string (binary)
REQUIRED
Responses
201
Background uploaded
application/jsonid
string
REQUIRED
key
string
REQUIRED
imageUrl
string
REQUIRED
400
Invalid or missing file
401
Unauthorized
curl -X POST 'https://littledemo.com/api/v1/backgrounds/upload' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "file": "string"}'
const response = await fetch('https://littledemo.com/api/v1/backgrounds/upload', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "file": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://littledemo.com/api/v1/backgrounds/upload', headers=headers, json={ "file": "string"})print(response.json())
201
Response
{ "id": "<string>", "key": "<string>", "imageUrl": "<string>"}
API Playground
Try this endpoint
POST
/api/v1/backgrounds/upload